import 'package:flutter/material.dart';
import 'package:fancy_bottom_navigation/fancy_bottom_navigation.dart';

class FancyBottomNavigationPage extends StatefulWidget {
  FancyBottomNavigationPage(this.items, {Key key}) : super(key: key);

  static const tag = '/fancybttomnavigation';
  final List<FancyBottomItem> items;

  @override
  State createState() => _FancyBottomNavigationState();
}

class _FancyBottomNavigationState extends State<FancyBottomNavigationPage> {
  final PageStorageBucket bucket = PageStorageBucket();

  FancyBottomItem _currentTab;

  @override
  void initState() {
    _currentTab = widget.items[0];
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return SafeArea(
        child: Scaffold(
      body: PageStorage(child: _currentTab.page, bucket: bucket),
      bottomNavigationBar:
          _buildNavigationBarFancy(), //_buildNavigationBarBmnav(),//_buildNavigationBar(),
    ));
  }

  Widget _buildNavigationBarFancy() {
    return FancyBottomNavigation(
        initialSelection: 0,
        // barBackgroundColor: Colors.blueGrey,
        tabs: widget.items.map((item) {
          return TabData(iconData: item.icon, title: item.label);
        }).toList(),
        onTabChangedListener: ((index) {
          setState(() {
            _currentTab = widget.items[index];
          });
        }));
  }
}

class FancyBottomItem {
  final IconData icon;
  final String label;
  final Widget page;
  const FancyBottomItem(this.icon, this.label, this.page);
}
