import 'package:flutter/material.dart';

import 'package:viqcore/viqcore.dart';

class LanguagePicker {
  static Future<LocaleModel> showLanguagePicker(
      {@required BuildContext context}) {
    return showDialog<LocaleModel>(
        context: context,
        builder: (BuildContext context) => SimpleDialog(
                title: Text(translation(context, LangSysIds.titleLanguage)),
                children: <Widget>[
                  _LanguagePicker(),
                ]));
  }

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is LanguagePicker && runtimeType == other.runtimeType;

  @override
  int get hashCode => 0;
}

class _LanguagePicker extends StatefulWidget {
  @override
  _LanguagePickerState createState() => _LanguagePickerState();
}

class _LanguagePickerState extends State<_LanguagePicker> {
  List<LocaleModel> _list;

  @override
  void initState() {
    super.initState();
    _list = LocaleObject.localeModels();
  }

  @override
  Widget build(BuildContext context) {
    if ( _list.first.code.isEmpty ) _list.removeAt(0);
    _list.insert(0, LocaleModel.autoLanguage(context));
    return Container(
        height: 300.0, // Change as per your requirement
        width: 300.0, // Change as per your requirement
        child: ListView.builder(
            shrinkWrap: true,
            itemCount: _list.length,
            itemBuilder: (BuildContext context, int index) {
              LocaleModel model = _list[index];
              return ListTile(
                title: Text(
                  model.description,
                  style: new TextStyle(fontSize: 13.0),
                ),
                trailing: Radio(
                    value: true,
                    groupValue: model.isSelected,
                    activeColor: Colors.indigoAccent,
                    onChanged: (value) {
                      setState(() {
                        model.updateSelected();
                      });
                    }),
                onTap: () {
                  setState(() {
                    model.updateSelected();
                  });
                },
              );
            }));
  }
}
