import 'package:flutter/material.dart';
import 'package:viqcore/viqcore.dart';

/// A floating button that invokes a form to add a new
/// document to a DocumentList. Typically used in Scaffolds.
class AddDataFloatingActionButton extends StatelessWidget {
  /// Optional string to describe the add action.
  /// If supplied, the fab will use an extended fab, with the label.
  final String addActionLabel;

  final WidgetBuilder dataFormEditBuilder;
//  final DataFormController dataFormController;

  AddDataFloatingActionButton(
      {@required this.dataFormEditBuilder,
      this.addActionLabel}); //, this.formDecoration, this.formFieldDecoration});

  @override
  Widget build(BuildContext context) {
    //var dataListController = ScopedModelObject.of<DataListController>(context, rebuildOnChange: true);
    var dataListController = DataListController.of(context);
    if (addActionLabel == null) {
      return FloatingActionButton(
        child: Icon(Icons.add),
        onPressed: () =>
            dataListController.openEditForm(context, dataFormEditBuilder),
      );
    } else {
      return FloatingActionButton.extended(
        icon: Icon(Icons.add),
        onPressed: () =>
            dataListController.openEditForm(context, dataFormEditBuilder),
        label: Text(addActionLabel),
      );
    }
  }
}
