import 'package:viqcore_community/viqcore_community.dart';

class Announcement extends DataObject {
  static const String fieldKey = 'key';
  static const String fieldSubject = 'subject';
  static const String fieldContents = 'contents';
  static const String fieldHasImage = 'hasImage';
  static const String fieldCreatedOn = 'createdOn';
  static const String fieldCreatedBy = 'createdBy';

  Announcement() {
    this.formatters = {
      fieldCreatedOn: DataFieldFormatters.toLocalDateTime(),
    };
  }

  @override
  Future<WebClientResult> onDelete() async {
    //await Future.delayed(
    //    Duration(seconds: 1, milliseconds: 0)); // for indicator testing

    final String api = '/api/Announcement/Delete';
    var data = {};
    data['key'] = this[fieldKey];

    return await WebClient.current.post(api, data);
  }

  @override
  Future<WebClientResult> onCreate() async {
    final String api = '/api/Announcement/Create';
    var data = {};
    data['subject'] = this[fieldSubject];
    data['contents'] = this[fieldContents];
    return await WebClient.current.post(api, data);
  }
}
