import 'package:flutter/material.dart';

import 'package:viqcore_community/viqcore_community.dart';

class Utils {
  static String imageUrl(String folder, [String folderName]) {
    final api = '/api/Image';
    List<dynamic> params = [folder];
    if (folderName != null) params.add(folderName);
    return WebClient.current.queryString(api, params: params);
  }

  static BoxDecoration backgroundDecoration(String image,
      {double opacity = 0.08}) {
    return BoxDecoration(
        image: DecorationImage(
      image: AssetImage(
        image,
      ),
      colorFilter: ColorFilter.mode(
          Colors.white.withOpacity(opacity), BlendMode.dstATop),
    ));
  }
}
