import 'package:flutter/material.dart';

class AboutPage extends StatelessWidget {
  
  static const title = 'About';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      // appBar: AppBar(
      //   centerTitle: true,
      //   title: const Text("ABOUT US"),
      // ),
      body: _buildContext(context),
    );
  }

  Widget _buildContext(context) {
    return SingleChildScrollView(
        child: Stack(
      children: <Widget>[
        Container(
          child: Column(
            mainAxisSize: MainAxisSize.max,
            children: <Widget>[
              _buildLogo(context),
              _buildIntro(context),
              _buildCopyright(context),
            ],
          ),
        ),
        Container(
          height: MediaQuery.of(context).size.height - 80.0,
          child: Align(
            alignment: Alignment.bottomCenter,
            child: Container(
                height: 50.0,
                width: MediaQuery.of(context).size.width,
                child: RaisedButton(
                  onPressed: null,
                  child: Text("CONTACT US"),
                )),
          ),
        )
      ],
    ));
  }

  Widget _buildLogo(context) {
    return Container(
      width: MediaQuery.of(context).size.width,
      color: Colors.green,
      height: 200,
      child: Image.asset("assets/applogo.png", fit: BoxFit.fill),
    );
  }

  Widget _buildIntro(context) {
    return Container(
        width: MediaQuery.of(context).size.width,
        height: 200,
        child: Text("ABOUT US"));
  }

  Widget _buildCopyright(context) {
    return Container(
        width: MediaQuery.of(context).size.width,
        height: 200,
        child: Text(
          "COPYRIGHT",
          style: TextStyle(color: Colors.black),
        ));
  }
}
