import 'package:flutter/material.dart';
import 'package:viqcore_community/viqcore_community.dart';


class NavigationPage extends StatelessWidget {
  static const tag = '/navigation';

  Widget _dashboard(BuildContext context) {
    return MenuboardPage(
      [
        MenuboardItem(AnnouncementPage.tag,
            label: AnnouncementPage.title(context),
            icon: Icons.announcement,
            color: Theme.of(context).primaryColorDark,// .red,
            tooltip: 'Breaking news'),
        // MenuboardItem(ThemePage.tag,
        //     label: ThemePage.title,
        //     icon: Icons.settings_applications,
        //     color: Colors.grey,
        //     tooltip: 'Settings'),
      ],
      title: "Community",
      decoration: Utils.backgroundDecoration("assets/community.png"),
      style: MenuboardStyle.StaggerTile,
    );
  }

  @override
  Widget build(BuildContext context) {
    return FancyBottomNavigationPage([
            FancyBottomItem(Icons.home, HomePage.title(context), HomePage()),
            FancyBottomItem(Icons.apps, translation(context, LangIds.titleCommunity), _dashboard(context)),
            FancyBottomItem(Icons.business, translation(context, LangIds.titleMarketPlace), AboutPage()),
            FancyBottomItem(Icons.settings, SettingPage.title(context), SettingPage()),
          ]);
  }
}
