import 'package:flutter/material.dart';

import 'package:viqcore_community/viqcore_community.dart';

class SettingPage extends StatefulWidget {
  SettingPage({Key key}) : super(key: key);

  static const tag = '/setting';
  //static const title = 'Setting';

  static String title(BuildContext context) =>
      translation(context, LangIds.titleSetting);

  @override
  State createState() => _SettingState();
}

class _SettingState extends StateMVC<SettingPage> {
  _SettingState() : super(SettingController()) {
    con = controller;
  }

  SettingController con;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        //key: _scaffoldKey,
        appBar: AppBar(title: Text(con.title)),
        body: Container(
            child: SingleChildScrollView(
          child: Column(
            children: <Widget>[
              _buildProfilePanel(context),
              _buildSettingPanel(context),
            ],
          ),
        )));
  }

  Widget _buildProfilePanel(context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        Row(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            
            Column(
              
              children: <Widget>[
                Padding(
                    
                    child: CircularProfileAvatar(
                      User.of(context).imageUrl,
                      radius: 30.0,),

                    // child: FormBuilder(
                    //   context,
                    //   child: 
                    //   Column(children: <Widget>[
                    //   FormBuilderImageAvatarField(
                    //     attribute: User.fieldImageDataBase64,
                    //     initialValue: User.of(context).imageUrl,
                    //     radius: 30,
                    //     onChanged: (value) {
                    //       showBox(
                    //           context: context,
                    //           text: "Update image?",
                    //           pressOkIfEmpty: () =>
                    //               con.updateProfileImage(value),
                    //           pressCancelIfEmpty: () => this.refresh());
                    //     },
                    //   ),
                    //   ],
                    //   )
                    // ),

                    // child: new CircleAvatar(
                    //     radius: 30,
                    //     backgroundImage:
                    //         new NetworkImage("assets/applogo.png")),

                    padding: const EdgeInsets.all(10.0)),
              ],
            ),
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Row(
                  children: <Widget>[
                    Text(
                      User.of(context).name,
                      style: TextStyle(fontWeight: FontWeight.bold),
                    ),
                  ],
                ),
                Row(
                  children: <Widget>[
                    Text(
                      "Update profile",
                    ),
                  ],
                )
              ],
            ),
          ],
        )
      ],
    );
  }

  Widget _buildSettingPanel(context) {
    return Card(
      margin: EdgeInsets.symmetric(horizontal: 20.0),
      child: Padding(
          padding: EdgeInsets.symmetric(horizontal: 20.0),
          child: Column(
            children: <Widget>[
              _buildSetting(
                  context,
                  con.clickOnCommunity,
                  Icon(Icons.group),
                  LangIds.settingTitleCommunity,
                  LangIds.settingSubTitleCommunity,
                  Icon(Icons.arrow_forward)),
              _buildDivider(context),
              _buildSetting(
                  context,
                  con.clickOnLanguage,
                  Icon(Icons.language),
                  LangIds.settingTitleLanguage,
                  LangIds.settingSubTitleLanguage,
                  Icon(Icons.arrow_forward)),
              _buildDivider(context),
              _buildSetting(
                  context,
                  con.clickOnTheme,
                  Icon(Icons.color_lens),
                  LangIds.settingSubTitleTheme,
                  LangIds.settingSubTitleTheme,
                  Icon(Icons.arrow_forward)),
              _buildDivider(context),
              _buildSetting(
                  context,
                  con.clickOnHelp,
                  Icon(Icons.help_outline),
                  LangIds.settingTitleHelp,
                  LangIds.settingSubTitleHelp,
                  Icon(Icons.arrow_forward)),
              _buildDivider(context),
              _buildSetting(
                  context,
                  con.clickOnShare,
                  Icon(Icons.share),
                  LangIds.settingTitleShare,
                  LangIds.settingSubTitleShare,
                  Icon(Icons.arrow_forward)),
              _buildDivider(context),
              _buildSetting(
                  context,
                  con.clickOnAboutUs,
                  Icon(Icons.info),
                  LangIds.settingTitleAboutUs,
                  LangIds.settingSubTitleAboutUs,
                  Icon(Icons.arrow_forward)),
            ],
          )),
    );
  }

  Widget _buildDivider(context) {
    return Divider(
      height: 0,
    );
  }

  Widget _buildSetting(context, VoidCallback onTapCallBack, Icon _iconleading,
      String _title, String _subtitle, Icon _icontrailing) {
    return ListTile(
      leading: _iconleading,
      title: Text(translation(context, _title)),
      subtitle: Text(translation(context, _subtitle)),
      trailing: _icontrailing,
      onTap: onTapCallBack,
    );
  }
}
