import 'package:flutter/material.dart';
import 'package:flare_flutter/flare_actor.dart';
import 'package:flutter/rendering.dart';

import 'package:viqcore_community/viqcore_community.dart';
import 'signin_button.dart';
import 'tracking_text_input.dart';  


class TeddyLoginPage extends StatefulWidget {
  TeddyLoginPage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _TeddyLoginPageState createState() => _TeddyLoginPageState();
}

class _TeddyLoginPageState extends StateMVC<TeddyLoginPage> {
  _TeddyLoginPageState() : super(TeddyLoginController()) {
    con = controller;
  }  

  TeddyLoginController con;

  //GlobalKey scaffoldKey = GlobalKey();
  @override
  Widget build(BuildContext context) {
    EdgeInsets devicePadding = MediaQuery.of(context).padding;

    return Scaffold(
      backgroundColor: Color.fromRGBO(93, 142, 155, 1.0),
      body: Container(
          child: Stack(
        children: <Widget>[
          Positioned.fill(
              child: Container(
            decoration: BoxDecoration(
              // Box decoration takes a gradient
              gradient: LinearGradient(
                // Where the linear gradient begins and ends
                begin: Alignment.topRight,
                end: Alignment.bottomLeft,
                // Add one stop for each color. Stops should increase from 0 to 1
                stops: [0.0, 1.0],
                colors: [
                  Color.fromRGBO(170, 207, 211, 1.0),
                  Color.fromRGBO(93, 142, 155, 1.0),
                ],
              ),
            ),
          )),
          Positioned.fill(
            child: SingleChildScrollView(
                padding: EdgeInsets.only(
                    left: 20.0, right: 20.0, top: devicePadding.top + 50.0),
                child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.center,
                    children: <Widget>[
                      Container(
                          height: 200,
                          padding:
                              const EdgeInsets.only(left: 30.0, right: 30.0),
                          child: FlareActor(
                            "assets/Teddy.flr",
                            shouldClip: false,
                            alignment: Alignment.bottomCenter,
                            fit: BoxFit.contain,
                            controller: con.teddy,
                          )),
                      Container(
                          decoration: BoxDecoration(
                              color: Colors.white,
                              borderRadius:
                                  BorderRadius.all(Radius.circular(25.0))),
                          child: Padding(
                            padding: const EdgeInsets.all(30.0),
                            child:                                                          
                              !App.isInit 
                                  ? _loadingWidget(context, 'Initializing...') 
                                  : _loginFormWidget(context),
                                  
                                  // ModalProgressHUD(
                                  //     child: Expanded( 
                                  //             child: _loginFormWidget(context), ),
                                  //     inAsyncCall: con.inAsyncCall ),

                          )),
                    ])),
          ),
        ],
      )),
    );
  }

  Widget _loadingWidget(BuildContext context, String text){
    return Center(child: Text(text),);
  }

  Widget _loginFormWidget(BuildContext context) {
    bool loggingIn = con.user.userState == UserState.LoggingInProgress;
    return Form(
        child: Column(
      mainAxisAlignment: MainAxisAlignment.center,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: <Widget>[
        TrackingTextInput(
            label: "Email",
            hint: "What's your email address?",
            //enabled: !loggingIn,
            onCaretMoved: (Offset caret) {
              con.teddy.lookAt(caret);
            }),
        TrackingTextInput(
          label: "Password",
          hint: "Try 'bears'...",
          isObscured: true,
          //enabled: !loggingIn,
          onCaretMoved: (Offset caret) {
            con.teddy.coverEyes(caret != null);
            con.teddy.lookAt(null);
          },
          onTextChanged: (String value) {
            con.teddy.setPassword(value);
          },
        ),
        SigninButton(
            child: Text(
              loggingIn ? "Signing In..." :
              "Sign In",                
                style: TextStyle(
                    fontFamily: "RobotoMedium",
                    fontSize: 16,
                    color: Colors.white)),
            //enabled: !loggingIn,
            onPressed: () {
            // if ( loggingIn ) return; 
             //Scaffold.of(context).showSnackBar(SnackBar(content: Text('ssssssss'),));
             //con.teddy.submitPassword();
             con.login();
             //setState((){});
            })
      ],
    ));
  }
}
